summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Dugan Chen2011-12-18 13:12:54 +0100
committer Robby Workman2011-12-18 18:31:47 +0100
commita43286b8da845cbd1f2b52a5e49de6d6113c0b12 (patch)
treef7a066aa16e97c0402a4dc6479110543005f41e2 /games
parent1014868c1ce10b10af2af3681980d28e0e3d7f7d (diff)
downloadslackbuilds-a43286b8da845cbd1f2b52a5e49de6d6113c0b12.tar.gz
games/yamagi-quake2: Added (Yamagi Quake II Client)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/yamagi-quake2/README7
-rw-r--r--games/yamagi-quake2/quake2.sh2
-rw-r--r--games/yamagi-quake2/rogue.sh2
-rw-r--r--games/yamagi-quake2/slack-desc19
-rw-r--r--games/yamagi-quake2/xatrix.sh2
-rw-r--r--games/yamagi-quake2/yamagi-quake2.SlackBuild135
-rw-r--r--games/yamagi-quake2/yamagi-quake2.info14
7 files changed, 181 insertions, 0 deletions
diff --git a/games/yamagi-quake2/README b/games/yamagi-quake2/README
new file mode 100644
index 0000000000..7499c894f9
--- /dev/null
+++ b/games/yamagi-quake2/README
@@ -0,0 +1,7 @@
+This is an enhanced client for Id Software's legendary Quake II. It focuses
+on single-player. Features include rock-solid stability and AMD64 support.
+
+This only installs the Yamagi-Quake2 source port. Before playing it, you
+need to copy your Quake2 data files into the appropriate subdirectories of
+/usr/share/quake2. Please refer to the README files in
+/usr/doc/yamagi-quake-3.00/ for details.
diff --git a/games/yamagi-quake2/quake2.sh b/games/yamagi-quake2/quake2.sh
new file mode 100644
index 0000000000..26a335022f
--- /dev/null
+++ b/games/yamagi-quake2/quake2.sh
@@ -0,0 +1,2 @@
+#!/bin/sh
+exec /usr/share/quake2/quake2 +set basedir /usr/share/quake2 $*
diff --git a/games/yamagi-quake2/rogue.sh b/games/yamagi-quake2/rogue.sh
new file mode 100644
index 0000000000..22fbc79b65
--- /dev/null
+++ b/games/yamagi-quake2/rogue.sh
@@ -0,0 +1,2 @@
+#!/bin/sh
+exec /usr/share/quake2/quake2 +set basedir /usr/share/quake2 +set game rogue $*
diff --git a/games/yamagi-quake2/slack-desc b/games/yamagi-quake2/slack-desc
new file mode 100644
index 0000000000..8932e3b54c
--- /dev/null
+++ b/games/yamagi-quake2/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+yamagi-quake2: yamagi-quake2 (Yamagi Quake II Client)
+yamagi-quake2:
+yamagi-quake2: This is an enhanced client for Id Software's legendary Quake II. It
+yamagi-quake2: focuses on single-player. Features include rock-solid stability and
+yamagi-quake2: AMD64 support.
+yamagi-quake2:
+yamagi-quake2: http://www.yamagi.org/quake2/
+yamagi-quake2:
+yamagi-quake2:
+yamagi-quake2:
+yamagi-quake2:
diff --git a/games/yamagi-quake2/xatrix.sh b/games/yamagi-quake2/xatrix.sh
new file mode 100644
index 0000000000..40460a0506
--- /dev/null
+++ b/games/yamagi-quake2/xatrix.sh
@@ -0,0 +1,2 @@
+#!/bin/sh
+exec /usr/share/quake2/quake2 +set basedir /usr/share/quake2 +set game xatrix $*
diff --git a/games/yamagi-quake2/yamagi-quake2.SlackBuild b/games/yamagi-quake2/yamagi-quake2.SlackBuild
new file mode 100644
index 0000000000..70f180873d
--- /dev/null
+++ b/games/yamagi-quake2/yamagi-quake2.SlackBuild
@@ -0,0 +1,135 @@
+#!/bin/sh
+
+# Slackware build script for Yamagi Quake2
+
+# Written by Dugan Chen (dugan [underscore] c [at] fastmail dot] fm)
+
+# Includes components from the Arch Linux AUR builds.
+
+PRGNAM=yamagi-quake2
+VERSION=${VERSION:-3.00}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+XATRIXVER=${XATRIXVER:-1.06}
+ROGUEVER=${ROGUEVER:-1.04}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG $TMP/{quake2-$VERSION,quake2-xatrix-$XATRIXVER,quake2-rogue-$ROGUEVER}
+mkdir -p $TMP $PKG $OUTPUT
+
+# Quake 2
+
+cd $TMP
+tar xvf $CWD/quake2-$VERSION.tar.bz2
+cd quake2-$VERSION
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+ make
+
+mkdir -p $PKG/usr/{bin,share/quake2/{xatrix,rogue}}
+cp -r release/* $PKG/usr/share/quake2
+install -D -m 755 $CWD/quake2.sh $PKG/usr/bin/quake2
+
+# Mission Pack 1 support
+
+cd $TMP
+tar xvf $CWD/quake2-xatrix-$XATRIXVER.tar.bz2
+cd quake2-xatrix-$XATRIXVER
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+ make
+cp -r release/* $PKG/usr/share/quake2/xatrix
+install -D -m 755 $CWD/xatrix.sh $PKG/usr/bin/xatrix
+
+# Mission Pack 2 support
+
+cd $TMP
+tar xvf $CWD/quake2-rogue-$ROGUEVER.tar.bz2
+cd quake2-rogue-$ROGUEVER
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+ make
+cp -r release/* $PKG/usr/share/quake2/rogue
+install -D -m 755 $CWD/rogue.sh $PKG/usr/bin/rogue
+
+find $PKG/usr/share/quake2 -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Documentation
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/{quake2-xatrix-$XATRIXVER,quake2-rogue-$ROGUEVER}
+
+cd $TMP
+
+cp -a \
+ quake2-$VERSION/README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+
+cp -a \
+ quake2-xatrix-$XATRIXVER/README \
+ $PKG/usr/doc/$PRGNAM-$VERSION/quake2-xatrix-$XATRIXVER
+
+cp -a \
+ quake2-rogue-$ROGUEVER/README \
+ $PKG/usr/doc/$PRGNAM-$VERSION/quake2-rogue-$ROGUEVER
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/yamagi-quake2/yamagi-quake2.info b/games/yamagi-quake2/yamagi-quake2.info
new file mode 100644
index 0000000000..5a06c88d59
--- /dev/null
+++ b/games/yamagi-quake2/yamagi-quake2.info
@@ -0,0 +1,14 @@
+PRGNAM="yamagi-quake2"
+VERSION="3.00"
+HOMEPAGE="http://www.yamagi.org/quake2/"
+DOWNLOAD="http://deponie.yamagi.org/quake2/quake2-3.00.tar.bz2 \
+ http://deponie.yamagi.org/quake2/quake2-xatrix-1.06.tar.bz2 \
+ http://deponie.yamagi.org/quake2/quake2-rogue-1.04.tar.bz2"
+MD5SUM="bbad6517c36ce9743d9d07c7e1ab4185 \
+ c69e60937e1550fc424e26b1dfb2c55f \
+ be83f102dc3b2a10edd4153ac02dc8c7"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Dugan Chen"
+EMAIL="thedoogster@gmail.com"
+APPROVED="Niels Horn"